All of lore.kernel.org
 help / color / mirror / Atom feed
From: Arnaldo Carvalho de Melo <acme@kernel.org>
To: Ingo Molnar <mingo@kernel.org>
Cc: Jiri Olsa <jolsa@kernel.org>, Namhyung Kim <namhyung@kernel.org>,
	Clark Williams <williams@redhat.com>,
	linux-kernel@vger.kernel.org, linux-perf-users@vger.kernel.org,
	Tommi Rantala <tommi.t.rantala@nokia.com>,
	Alexander Shishkin <alexander.shishkin@linux.intel.com>,
	Hendrik Brueckner <brueckner@linux.ibm.com>,
	Jiri Olsa <jolsa@redhat.com>, Kim Phillips <kim.phillips@arm.com>,
	Michael Petlan <mpetlan@redhat.com>,
	Peter Zijlstra <peterz@infradead.org>,
	Arnaldo Carvalho de Melo <acme@redhat.com>
Subject: [PATCH 01/17] perf tests shell: Skip trace+probe_vfs_getname.sh if built without trace support
Date: Wed, 20 Feb 2019 22:25:33 -0300	[thread overview]
Message-ID: <20190221012549.4069-2-acme@kernel.org> (raw)
In-Reply-To: <20190221012549.4069-1-acme@kernel.org>

From: Tommi Rantala <tommi.t.rantala@nokia.com>

If perf was built without trace support, the trace+probe_vfs_getname.sh
'perf test' entry fails:

  # perf trace -h
  perf: 'trace' is not a perf-command. See 'perf --help'

  # perf test 64
  64: Check open filename arg using perf trace + vfs_getname: FAILED!

Check trace support, so that we'll skip the test in that case:

  # perf test 64
  64: Check open filename arg using perf trace + vfs_getname: Skip

Signed-off-by: Tommi Rantala <tommi.t.rantala@nokia.com>
Cc: Alexander Shishkin <alexander.shishkin@linux.intel.com>
Cc: Hendrik Brueckner <brueckner@linux.ibm.com>
Cc: Jiri Olsa <jolsa@redhat.com>
Cc: Kim Phillips <kim.phillips@arm.com>
Cc: Michael Petlan <mpetlan@redhat.com>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Peter Zijlstra <peterz@infradead.org>
Link: http://lkml.kernel.org/r/20190215134253.11454-1-tt.rantala@gmail.com
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
---
 tools/perf/tests/shell/lib/probe.sh               | 5 +++++
 tools/perf/tests/shell/trace+probe_vfs_getname.sh | 1 +
 2 files changed, 6 insertions(+)

diff --git a/tools/perf/tests/shell/lib/probe.sh b/tools/perf/tests/shell/lib/probe.sh
index 6293cc660947..e37787be672b 100644
--- a/tools/perf/tests/shell/lib/probe.sh
+++ b/tools/perf/tests/shell/lib/probe.sh
@@ -4,3 +4,8 @@ skip_if_no_perf_probe() {
 	perf probe 2>&1 | grep -q 'is not a perf-command' && return 2
 	return 0
 }
+
+skip_if_no_perf_trace() {
+	perf trace -h 2>&1 | grep -q -e 'is not a perf-command' -e 'trace command not available' && return 2
+	return 0
+}
diff --git a/tools/perf/tests/shell/trace+probe_vfs_getname.sh b/tools/perf/tests/shell/trace+probe_vfs_getname.sh
index 50109f27ca07..147efeb6b195 100755
--- a/tools/perf/tests/shell/trace+probe_vfs_getname.sh
+++ b/tools/perf/tests/shell/trace+probe_vfs_getname.sh
@@ -12,6 +12,7 @@
 . $(dirname $0)/lib/probe.sh
 
 skip_if_no_perf_probe || exit 2
+skip_if_no_perf_trace || exit 2
 
 . $(dirname $0)/lib/probe_vfs_getname.sh
 
-- 
2.19.1


  reply	other threads:[~2019-02-21  1:26 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-21  1:25 [GIT PULL 00/17] perf/core improvements and fixes Arnaldo Carvalho de Melo
2019-02-21  1:25 ` Arnaldo Carvalho de Melo [this message]
2019-02-21  1:25 ` [PATCH 02/17] perf header: Fix wrong node write in NUMA_TOPOLOGY feature Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 03/17] perf tools: Add cpu_topology object Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 04/17] perf tools: Add numa_topology object Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 05/17] perf tools: Use sysfs__mountpoint() when reading cpu topology Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 06/17] perf report: Don't shadow inlined symbol with different addr range Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 07/17] perf doc: Fix HEADER_CMDLINE description in perf.data documentation Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 08/17] perf doc: Fix documentation of the Flags section in perf.data Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 09/17] perf test: Fix failure of 'evsel-tp-sched' test on s390 Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 10/17] perf bpf: Add bpf_map dumper Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 11/17] perf trace: Allow dumping a BPF map after setting up BPF events Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 12/17] perf session: Don't report zero period samples for slave events Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 13/17] perf evsel: Force sample_type " Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 14/17] perf script: Allow +- operator for type specific fields option Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 15/17] perf bpf-event: Add missing new line into pr_debug call Arnaldo Carvalho de Melo
2019-02-21  7:12   ` Song Liu
2019-02-21  1:25 ` [PATCH 16/17] perf cpumap: Increase debug level for cpu_map__snprint verbose output Arnaldo Carvalho de Melo
2019-02-21  1:25 ` [PATCH 17/17] perf tools: Make rm_rf() remove single file Arnaldo Carvalho de Melo
2019-02-28  7:28 ` [GIT PULL 00/17] perf/core improvements and fixes Ingo Molnar

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190221012549.4069-2-acme@kernel.org \
    --to=acme@kernel.org \
    --cc=acme@redhat.com \
    --cc=alexander.shishkin@linux.intel.com \
    --cc=brueckner@linux.ibm.com \
    --cc=jolsa@kernel.org \
    --cc=jolsa@redhat.com \
    --cc=kim.phillips@arm.com \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-perf-users@vger.kernel.org \
    --cc=mingo@kernel.org \
    --cc=mpetlan@redhat.com \
    --cc=namhyung@kernel.org \
    --cc=peterz@infradead.org \
    --cc=tommi.t.rantala@nokia.com \
    --cc=williams@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.